Package com.opensymphony.module.sitemesh.mapper

# Class PrintableDecoratorMapper

java.lang.Object
com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
com.opensymphony.module.sitemesh.mapper.PrintableDecoratorMapper

All Implemented Interfaces:
  `DecoratorMapper`

public class PrintableDecoratorMapper extends AbstractDecoratorMapper
The PrintableDecoratorMapper is a sample DecoratorMapper that will check to see whether 'printable=true' is supplied as a request parameter and if so, use the specified decorator instead. The name of this decorator should be supplied in the `decorator` property.

The exact 'printable=true' request criteria can be overriden with the `parameter.name` and `parameter.value` properties.

Although this DecoratorMapper was designed for creating printable versions of a page, it can be used for much more imaginative purposes.

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes
See Also:
  - `DecoratorMapper`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`decorator`
`private String`
`paramName`
`private String`
`paramValue`

### Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`config, parent`

## Constructor Summary

Constructors
Constructor
Description
`PrintableDecoratorMapper()`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Delegate to parent.
`void`
`init(Config config, Properties properties, DecoratorMapper parent)`
Set parent.

### Methods inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper

`getNamedDecorator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### decorator

private String decorator

### paramName

private String paramName

### paramValue

private String paramValue

## Constructor Details

### PrintableDecoratorMapper

public PrintableDecoratorMapper()

## Method Details

### init

public void init(Config config, Properties properties, DecoratorMapper parent) throws InstantiationException
Description copied from class: `AbstractDecoratorMapper`
Set parent.

Specified by:
  `init` in interface `DecoratorMapper`
Overrides:
  `init` in class `AbstractDecoratorMapper`
Parameters:
  `config` - Config supplied by Servlet or Filter.
  `properties` - Any initialization properties (specific to implementation).
Throws:
  `InstantiationException` - should be thrown if the implementation cannot be initialized properly.

### getDecorator

public Decorator getDecorator(javax.servlet.http.HttpServletRequest request, Page page)
Description copied from class: `AbstractDecoratorMapper`
Delegate to parent.

Specified by:
  `getDecorator` in interface `DecoratorMapper`
Overrides:
  `getDecorator` in class `AbstractDecoratorMapper`